Package org.bukkit.event.block

# Class BlockDamageEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.block.BlockDamageEvent

All Implemented Interfaces:
  `Cancellable`

public class BlockDamageEvent extends BlockEvent implements Cancellable
Called when a block is damaged by a player.

If a Block Damage event is cancelled, the block will not be damaged.

See Also:
  - `BlockDamageAbortEvent`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`BlockDamageEvent(@NotNull Player player, @NotNull Block block, @NotNull ItemStack itemInHand, boolean instaBreak)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`boolean`
`getInstaBreak()`
Gets if the block is set to instantly break when damaged by the player.
`@NotNull ItemStack`
`getItemInHand()`
Gets the ItemStack for the item currently in the player's hand.
`@NotNull Player`
`getPlayer()`
Gets the player damaging the block involved in this event.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setInstaBreak(boolean bool)`
Sets if the block should instantly break when damaged by the player.

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockDamageEvent

public BlockDamageEvent(@NotNull @NotNull Player player, @NotNull @NotNull Block block, @NotNull @NotNull ItemStack itemInHand, boolean instaBreak)

## Method Details

### getPlayer

@NotNull public @NotNull Player getPlayer()
Gets the player damaging the block involved in this event.

Returns:
  The player damaging the block involved in this event

### getInstaBreak

public boolean getInstaBreak()
Gets if the block is set to instantly break when damaged by the player.

Returns:
  true if the block should instantly break when damaged by the player

### setInstaBreak

public void setInstaBreak(boolean bool)
Sets if the block should instantly break when damaged by the player.

Parameters:
  `bool` - true if you want the block to instantly break when damaged by the player

### getItemInHand

@NotNull public @NotNull ItemStack getItemInHand()
Gets the ItemStack for the item currently in the player's hand.

Returns:
  The ItemStack for the item currently in the player's hand

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()